import { render } from './render';
function _render() {
    return render(this, this.instance);
}
export const h = function (instance, path, properties, children) {
    if (properties === undefined) {
        return {
            path,
            properties: null,
            children: null,
            instance,
            render: _render
        };
    }
    else if (Array.isArray(properties)) {
        return {
            path,
            properties: null,
            children: properties,
            instance,
            render: _render
        };
    }
    else {
        if (Array.isArray(children)) {
            return {
                path,
                properties,
                children,
                instance,
                render: _render
            };
        }
        else {
            return {
                path,
                properties,
                children: null,
                instance,
                render: _render
            };
        }
    }
};
